Bug 1816755 - [abrt] lutris: on_destroy(): runner_install.py:236:on_destroy:AttributeError: 'RunnerInstallDialog' object has no attribute 'installing'
Summary: [abrt] lutris: on_destroy(): runner_install.py:236:on_destroy:AttributeError:...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lutris
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chris King
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0af834386465ff51f323c22a670...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-24 16:26 UTC by kylebanchi
Modified: 2020-11-24 15:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 15:33:58 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (789 bytes, text/plain)
2020-03-24 16:26 UTC, kylebanchi
no flags Details
File: cpuinfo (2.20 KB, text/plain)
2020-03-24 16:26 UTC, kylebanchi
no flags Details
File: environ (1.58 KB, text/plain)
2020-03-24 16:26 UTC, kylebanchi
no flags Details
File: mountinfo (4.11 KB, text/plain)
2020-03-24 16:26 UTC, kylebanchi
no flags Details
File: namespaces (129 bytes, text/plain)
2020-03-24 16:26 UTC, kylebanchi
no flags Details
File: open_fds (1.85 KB, text/plain)
2020-03-24 16:26 UTC, kylebanchi
no flags Details

Description kylebanchi 2020-03-24 16:26:13 UTC
Version-Release number of selected component:
lutris-0.5.4-1.fc31

Additional info:
reporter:       libreport-2.12.0
cgroup:         0::/user.slice/user-1000.slice/session-2.scope
cmdline:        /usr/bin/python3 -s /usr/bin/lutris
crash_function: on_destroy
exception_type: AttributeError
executable:     /usr/bin/lutris
interpreter:    python3-3.7.6-2.fc31.x86_64
kernel:         5.5.10-200.fc31.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
runner_install.py:236:on_destroy:AttributeError: 'RunnerInstallDialog' object has no attribute 'installing'

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/lutris/gui/dialogs/runner_install.py", line 236, in on_destroy
    if self.installing:
AttributeError: 'RunnerInstallDialog' object has no attribute 'installing'

Local variables in innermost frame:
self: <runner_install.RunnerInstallDialog object at 0x7f9f4e2801e0 (lutris+gui+dialogs+runner_install+RunnerInstallDialog at 0x5646597d7430)>
_dialog: <runner_install.RunnerInstallDialog object at 0x7f9f4e2801e0 (lutris+gui+dialogs+runner_install+RunnerInstallDialog at 0x5646597d7430)>
_data: <Gdk.Event object at 0x7f9f5a11f600 (GdkEvent at 0x564659123280) type=<enum GDK_DELETE of type Gdk.EventType>>

Comment 1 kylebanchi 2020-03-24 16:26:19 UTC
Created attachment 1673164 [details]
File: backtrace

Comment 2 kylebanchi 2020-03-24 16:26:21 UTC
Created attachment 1673165 [details]
File: cpuinfo

Comment 3 kylebanchi 2020-03-24 16:26:22 UTC
Created attachment 1673166 [details]
File: environ

Comment 4 kylebanchi 2020-03-24 16:26:23 UTC
Created attachment 1673167 [details]
File: mountinfo

Comment 5 kylebanchi 2020-03-24 16:26:27 UTC
Created attachment 1673168 [details]
File: namespaces

Comment 6 kylebanchi 2020-03-24 16:26:28 UTC
Created attachment 1673169 [details]
File: open_fds

Comment 7 Ben Cotton 2020-11-03 16:31:30 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2020-11-24 15:33:58 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.